package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DIGEST_MAIN"
)
public class TCoreDigestMain extends TBaseEntity {
   private String projectid;
   private String datasystemid;
   private String schemaname;
   private String tablename;
   private String digestfield;

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getSchemaname() {
      return this.schemaname;
   }

   public void setSchemaname(String schemaname) {
      this.schemaname = schemaname;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getDigestfield() {
      return this.digestfield;
   }

   public void setDigestfield(String digestfield) {
      this.digestfield = digestfield;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }
}
